# fn() sortAlignedReads
Stably read alignments, e.g. in alignedReadStore.

Defined in | <seqan/store.h>
Signature | `void sortAlignedReads(alignStore, sortTag); void sortAlignedReads(alignStore, lessFunctor);`

## Parameters

`alignStore` | The sequence of AlignedReadStoreElement to be sorted, e.g. alignedReadStore.
`sortTag` | Tag for selecting the member to sort by. See SortAlignedReadTags.
`lessFunctor` | A functor to pass to `std::stable_sort` for sorting the sequence.

## Data Races

If not stated otherwise, concurrent invocation is not guaranteed to be thread-safe.

## See Also

- SortAlignedReadTags
- lowerBoundAlignedReads
- upperBoundAlignedReads

#### Dox Sources

    /*!
     * @fn sortAlignedReads
     *
     * @headerfile <seqan/store.h>
     *
     * @brief Stably read alignments, e.g. in @link FragmentStore::alignedReadStore
     *        @endlink.
     *
     * @signature void sortAlignedReads(alignStore, sortTag);
     * @signature void sortAlignedReads(alignStore, lessFunctor);
     *
     * @param[in,out] alignStore The @link ContainerConcept sequence @endlink of
     *                           @link AlignedReadStoreElement @endlink to be
     *                           sorted, e.g. @link FragmentStore::alignedReadStore
     *                           @endlink.
     * @param[in] sortTag Tag for selecting the member to sort by. See @link
     *                    SortAlignedReadTags @endlink.
     * @param[in] lessFunctor A functor to pass to <tt>std::stable_sort</tt> for
     *                        sorting the sequence.
     *
     * @see SortAlignedReadTags
     * @see lowerBoundAlignedReads
     * @see upperBoundAlignedReads
     */